playerc_position2d_t Struct Reference
position2d

Position2d device data. More...

`#include <playerc.h>`

## Public Attributes

playerc_device_t | info
| Device info; must be at the start of all device structures. More...
double | pose [3]
| Robot geometry in robot cs: pose gives the position2d and orientation, size gives the extent. More...
double | size [2]
double | px
| Odometric pose (m, m, rad). More...
double | py
double | pa
double | vx
| Odometric velocity (m/s, m/s, rad/s). More...
double | vy
double | va
int | stall
| Stall flag [0, 1]. More...

## Detailed Description

Position2d device data.

## Member Data Documentation

playerc_device_t playerc_position2d_t::info

Device info; must be at the start of all device structures.

double playerc_position2d_t::pose[3]

Robot geometry in robot cs: pose gives the position2d and orientation, size gives the extent.

These values are filled in by playerc_position2d_get_geom().

double playerc_position2d_t::px

Odometric pose (m, m, rad).

int playerc_position2d_t::stall

Stall flag [0, 1].

double playerc_position2d_t::vx

Odometric velocity (m/s, m/s, rad/s).

The documentation for this struct was generated from the following file:

- playerc.h

Last updated 12 September 2005 21:38:45